
#
# This file is not needed for review, and is only used for the
# shell API plugin. No need to modify it or anything.
#

declare -f +x module
PATH=/bin:/usr/bin:/sbin/:/usr/sbin

declare -A FR_FLAGS
FR_FLAGS[EPEL6]=''
FR_FLAGS[EPEL7]=''
FR_FLAGS[DISTTAG]=''
FR_FLAGS[BATCH]=''
FR_FLAGS[EXARCH]=''

declare -A FR_SETTINGS 
FR_SETTINGS[bz_url]="https://bugzilla.redhat.com"
FR_SETTINGS[log]="<RootLogger root (DEBUG)>"
FR_SETTINGS[cache]=""
FR_SETTINGS[resultdir]=""
FR_SETTINGS[init_done]="True"
FR_SETTINGS[uniqueext]=""
FR_SETTINGS[configdir]=""
FR_SETTINGS[log_level]="20"
FR_SETTINGS[prebuilt]=""
FR_SETTINGS[verbose]=""
FR_SETTINGS[name]="rubygem-hashie"
FR_SETTINGS[use_colors]="True"
FR_SETTINGS[session_log]="/home/packer/.cache/fedora-review.log"
FR_SETTINGS[bug]=""
FR_SETTINGS[url]=""
FR_SETTINGS[copr_build_descriptor]=""
FR_SETTINGS[list_checks]=""
FR_SETTINGS[list_flags]=""
FR_SETTINGS[list_plugins]=""
FR_SETTINGS[version]=""
FR_SETTINGS[flags]=""
FR_SETTINGS[repo]=""
FR_SETTINGS[mock_config]="fedora-rawhide-x86_64"
FR_SETTINGS[no_report]=""
FR_SETTINGS[nobuild]=""
FR_SETTINGS[mock_options]="--no-cleanup-after --no-clean"
FR_SETTINGS[other_bz]=""
FR_SETTINGS[plugins_arg]=""
FR_SETTINGS[single]=""
FR_SETTINGS[rpm_spec]=""
FR_SETTINGS[exclude]=""
FR_SETTINGS[checksum]="sha256"
FR_SETTINGS[plugins]=""

export FR_REVIEWDIR='/home/packer/fedora-scm/kitchen-ci/rubygem-kitchen-salt/rubygem-hashie/review-rubygem-hashie'
export HOME=$FR_REVIEWDIR
cd $HOME

export FR_NAME='rubygem-hashie'
export FR_VERSION='5.0.0'
export FR_RELEASE='2.fc38'
export FR_GROUP='Unspecified'
export FR_LICENSE='MIT'
export FR_URL='https://github.com/hashie/hashie'

export Source1="hashie-5.0.0-spec.tar.gz"
export Source0="https://rubygems.org/gems/hashie-5.0.0.gem"



export FR_PREP='cd '\''/home/packer/rpmbuild/BUILD'\''
rm -rf '\''hashie-5.0.0'\''
/usr/bin/tar -xof '\''/home/packer/rpmbuild/SOURCES/hashie-5.0.0-spec.tar.gz'\''
STATUS=$?
if [ $STATUS -ne 0 ]; then
exit $STATUS
fi
/usr/bin/tar -xof '\''/home/packer/rpmbuild/SOURCES/hashie-5.0.0.gem'\''
STATUS=$?
if [ $STATUS -ne 0 ]; then
exit $STATUS
fi
cd '\''hashie-5.0.0'\''
/usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .'
export FR_BUILD='# Create the gem as gem install only works on a gem file
gem build ../hashie-5.0.0.gemspec
# %gem_install compiles any C extensions and installs the gem into ./%gem_dir
# by default, so that we can move it into the buildroot in %install
%gem_install'
export FR_INSTALL='mkdir -p /home/packer/rpmbuild/BUILDROOT/rubygem-hashie-5.0.0-2.fc35.x86_64%{gem_dir}
cp -a .%{gem_dir}/* \
/home/packer/rpmbuild/BUILDROOT/rubygem-hashie-5.0.0-2.fc35.x86_64%{gem_dir}/'

declare -A FR_FILES
FR_FILES[rubygem-hashie]='%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}'
FR_FILES[rubygem-hashie-doc]='%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/UPGRADING.md
%{gem_instdir}/Rakefile
%{gem_instdir}/hashie.gemspec'

declare -A FR_DESCRIPTION


export FR_FILES FR_DESCRIPTION

export FR_PASS=80
export FR_FAIL=81
export FR_PENDING=82
export FR_NOT_APPLICABLE=83


function get_used_rpms()
# returns (stdout) list of used rpms if found, else returns 1
{
    cd $FR_REVIEWDIR
    if test  "${FR_SETTINGS[prebuilt]}" = True
    then
        files=( $(ls ../*.rpm 2>/dev/null | grep -v .src.rpm) )                || files=( '@@' )
    else
        files=( $(ls results/*.rpm 2>/dev/null | grep -v .src.rpm) )                || files=( '@@' )
    fi
    test -e ${files[0]} || return 1
    echo "${files[@]}"
    cd $OLDPWD
}

function unpack_rpms()
# Unpack all non-src rpms in results into rpms-unpacked, one dir per rpm.
{
    [ -d rpms-unpacked ] && return 0
    rpms=( $( get_used_rpms ) ) || return 1
    mkdir rpms-unpacked
    cd rpms-unpacked
    retval=0
    for rpm_path in ${rpms[@]};  do
        rpm=$( basename $rpm_path)
        mkdir $rpm
        cd $rpm
        rpm2cpio ../../$rpm_path | cpio -imd &>/dev/null
        cd ..
    done
    cd ..
}

function unpack_sources()
# Unpack sources in upstream into upstream-unpacked
# Ignores (reuses) already unpacked items.
{
    sources=( $(cd upstream; ls) ) || sources=(  )
    if [[ ${#sources[@]} -eq 0 || ! -e "upstream/${sources[0]}" ]]; then
       return $FR_NOT_APPLICABLE
    fi
    for source in "${sources[@]}"; do
        mkdir upstream-unpacked/$source 2>/dev/null || continue
        rpmdev-extract -qfC  upstream-unpacked/$source upstream/$source ||            cp upstream/$source upstream-unpacked/$source
    done
}

function attach()
# Usage: attach <sorting hint> <header>
# Reads attachment from stdin
{
    startdir=$(pwd)
    cd $FR_REVIEWDIR
    for (( i = 0; i < 10; i++ )); do
        test -e $FR_REVIEWDIR/.attachments/*$i || break
    done
    if [ $i -eq 10 ]; then
        echo "More than 10 attachments! Giving up" >&2
        exit 1
    fi
    sort_hint=$1
    shift
    title=${*//\/ }
    file="$sort_hint;${title/;/:};$i"
    cat > .attachments/"$file"
    cd $startdir
}

